.image-root {
  background-size: cover;
  background-position: center center;
  display: inline-block;
  vertical-align: top;
  box-sizing: border-box;
  position: relative;
  border: 1px solid white;
  
  > div {
    visibility: hidden;
    background: rgba(0, 0, 0, 0.7);
    cursor: pointer;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    color: white;
    padding: 15px;
    text-align: center;
    text-align: center;
    box-sizing: border-box;
    white-space: pre;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  

  &:hover > div {
    visibility: visible;
  }
  
  &:active {
	-webkit-transform: rotate(90deg); /* Safari and Chrome */
	-moz-transform: rotate(90deg);   /* Firefox */
	-ms-transform: rotate(90deg);   /* IE 9 */
	-o-transform: rotate(90deg);   /* Opera */
	transform: rotate(90deg);
	> div { 
	    -webkit-transform: rotate(-90deg); /* Safari and Chrome */
		-moz-transform: rotate(-90deg);   /* Firefox */
		-ms-transform: rotate(-90deg);   /* IE 9 */
		-o-transform: rotate(-90deg);   /* Opera */
		transform: rotate(-90deg);
		}
	}
  
  .image-icon {
    font-size: 20px;
    vertical-align: middle;
    border: 1px solid #ccc;
    color: #ccc;
    border-radius: 5px;
    cursor: pointer;
    padding: 12px;
    margin: 3px;

    &:hover {
      color: white;
      border-color: white;
    }
   
  }

}



	

